Type to search.

Find and/or aggregate attack discovery alerts

Base URL
https://{kibana_url}
  • POST /api/detection_engine/attacks/search
Auth The Elastic Stack includes Elastic's core products such as Elasticsearch, Kibana, Logstash, and Beats. Availability Generally available since 9.5 This functionality is generally available and ready for production usage. Unless stated otherwise on the page, this functionality is available when your Elastic Stack is deployed on Elastic Cloud Hosted, Elastic Cloud Enterprise, Elastic Cloud on Kubernetes, and self-managed environments. This documentation corresponds to the latest patch available for each minor version. If you're not using the latest patch, check the release notes for changes.

Find and/or aggregate attack discovery alerts that match the given query. Searches scheduled and ad hoc attack discovery alert indices for the active space only.

Request body

Search and/or aggregation query

_source union boolean | string | string[]
aggs object
fields string[]
query object
runtime_mappings object
size integer · min: 0
sort union oneOf
One of: (string | object)[] or string | object
track_total_hits boolean

Responses

Successful response

application/json

Response Type: object